package com.ichaoj.ams.service;

import com.ichaoj.ams.entity.AmsTradeRecord;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ichaoj.ams.request.record.PageTradeRecordRequest;
import com.ichaoj.ams.response.record.TradeRecordResponse;
import com.ichaoj.common.model.PublicPage;

/**
 * <p>
 * 交易 服务类
 * </p>
 *
 * @author cjwen
 * @since 2023-05-18
 */
public interface IAmsTradeRecordService extends IService<AmsTradeRecord> {

    /**
     * 分页查询交互记录
     * @param pageRequest 分页参数
     * @return 分页结果
     */
    PublicPage<TradeRecordResponse> pageTradeRecord(PageTradeRecordRequest pageRequest);
}
